Summary: NFS automount daemon
Name: amd
Version: 920824upl102
Release: 11
Copyright: BSD
Group: Networking/Daemons
Source: ftp.zia.ms.it:/pub/software/linux/amd-upl102.tar.gz
Source1: amd.init
Source2: amd.conf
Source3: amd.sysconf
Patch: amd.patch
Patch1: amd-upl102-glibc.patch
Patch2: amd-nonis.patch
Patch3: amd-920824upl102-nodev.patch
Patch4: amd-rpmoptflags.patch
Patch5: amd-upl102-glibc_rpc4.patch
Requires: portmap
BuildRoot: /tmp/amd-root
Prereq: /sbin/chkconfig

%description
amd is the Berkeley automount daemon. It has the ability to automatically
mount filesystems of all types, including NFS filesystems, CD-ROM's, and
local drives, and unmount them when they are not being used any more.

The default setup allows you to 'cd /net/[hostname]' and get a list of
directories exported from that host.

%prep
%setup -n amd-upl102
%patch -b .config
%patch1 -p1 -b .glibc
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%changelog

* Wed Jan 14 1998 Erik Troan <ewt@redhat.com>

- built against glibc 2.0.6

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>

- converted to chkconfig; turned off by default

* Thu Oct 23 1997 Elliot Lee <sopwith@redhat.com>

- BuildRooted it
- Added chkconfig support, renamed initscript to amd instead of amd.init
  to facilitate this.
- Fixed so it works with glibc (#define RPC_4)
- Uses $(RPM_OPT_FLAGS)
- Change MOUNT_TYPE_UFS from minix to ext2fs

* Wed Apr 09 1997 Erik Troan <ewt@redhat.com>

- Added security fix to make nodev work properly.

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>

Rebuilt for Red Hat 4.1 bugfix and changed axp ifarch to alpha.

%install
rm -rf $RPM_BUILD_ROOT
for I in /usr/sbin /usr/man/man8 /usr/include/rpcsvc /usr/info \
	/etc/rc.d/{init.d,rc{0,1,2,3,5,6}.d} /etc/sysconfig; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

make ETC=$RPM_BUILD_ROOT/usr/sbin \
	BINDIR=$RPM_BUILD_ROOT/usr/sbin \
	MANDIR=$RPM_BUILD_ROOT/usr/man \
	install
install -m 644 ./amd/amd.8 $RPM_BUILD_ROOT/usr/man/man8/amd.8
install -m 644 ./amq/amq.8 $RPM_BUILD_ROOT/usr/man/man8/amq.8
install -m 644 ./hlfsd/hlfsd.8 $RPM_BUILD_ROOT/usr/man/man8/hlfsd.8
install -m 644 ./amdxref/amdxref.8 $RPM_BUILD_ROOT/usr/man/man8/amdxref.8
install -m 644 ./rpcx/amq.x $RPM_BUILD_ROOT/usr/include/rpcsvc/amq.x
install -m 600 $RPM_SOURCE_DIR/amd.conf $RPM_BUILD_ROOT/etc/amd.conf
install -m 755 $RPM_SOURCE_DIR/amd.sysconf $RPM_BUILD_ROOT/etc/sysconfig/amd
install -m 755 $RPM_SOURCE_DIR/amd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/amd
strip $RPM_BUILD_ROOT/usr/sbin/* || :
cd doc
makeinfo amdref.texinfo || :
install -m 644 amdref.info amdref.info-[0-9] $RPM_BUILD_ROOT/usr/info
gzip -q9f $RPM_BUILD_ROOT/usr/info/*
rm -f amdref.info*
cd ..

mkdir -p $RPM_BUILD_ROOT/.automount

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add amd

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del amd
fi

%files
%doc doc maps text contrib
%dir /.automount

/usr/sbin/amd
/usr/sbin/amq
/usr/sbin/mk-amd-map
/usr/sbin/fsinfo
/usr/sbin/hlfsd
/usr/sbin/wire-test

/usr/man/man8/amd.8
/usr/man/man8/amq.8
/usr/man/man8/hlfsd.8
/usr/man/man8/amdxref.8

/usr/include/rpcsvc/amq.x

%config /etc/amd.conf
%config /etc/sysconfig/amd
%config /etc/rc.d/init.d/amd

/usr/info/amdref.info*.gz
